"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance Pygame OpenGL library, capable of handling 1000s of sprites

Requirements: Python, Pygame, PyOpenGL, Open GL 2.0 graphics hardware

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3). By using this file you agree
to be bound by at least one of these licenses.

Other licenses, including commercial/proprietary licenses, can be arranged by 
contacting me via e-mail at habilain@gmail.com. If you do not have in physical 
writing an alternative license agreement from me, you must use one of the 
licenses specified above when releasing work which makes use of this library.

pygl3display.configuration

Provides the configure function, that sets up the library
"""
import pygl3display.glcommoninst
    
def configure(glCommonBackend):
    if glCommonBackend == 'pygame':
        from pygl3display.glcommon.pygamecommon import GLCommonPygame
        pygl3display.glcommoninst.GLCommon.__class__ = GLCommonPygame
    elif glCommonBackend == 'GLUT':
        from pygl3display.glcommon.glutcommon import GLCommonGLUT
        pygl3display.glcommoninst.GLCommon.__class__ = GLCommonGLUT
    elif glCommonBackend == 'glfw':
        from pygl3display.glcommon.glfwcommon import GLCommonGLFW
        pygl3display.glcommoninst.GLCommon.__class__ = GLCommonGLFW
    else:
        raise Exception('Unknown GLCommonBackend %s' % glCommonBackend)
              
        